Subject: [OSPF] non-zero forwarding address

From: "Jishnu Banerjee" <[email-masked]>
Date: Tue, 18 Sep 2007 16:25:11 +0530

I have a doubt regarding forwarding address in Type-5 LSAs. Should it be
non-zero when the connected network type is non-broadcast (eg p2p,p2mp
or even nbma) ? RFC does not specify when forwarding address field
should be populated. If I have overlooked the RFC then please do point
it out.

Regards,

Jishnu

_______________________________________________
OSPF mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ospf

---

From: Acee Lindem <[email-masked]>
Date: Tue, 18 Sep 2007 15:47:45 -0400

Hi Prashanth,

On Sep 18, 2007, at 7:29 AM, prashanth wrote:

> Forwarding address only makes sense when the network type is  
> broadcast.
>
>   A ---| BGP
>
>         |----- X
>
>   B ---|
>
>         |
>
>  C ----|
>
>
>
>
>
> Consider the above network (took from RFC section 12.4.4.1).Suppose  
> RTA is importing routes, all the traffic for these routes
>
> will go through RTA (Even for RTB and RTC).Clearly for RTB and RTC  
> this will add one extra hop. So RTA keeps the forwarding address as  
> RTX address.
>
> So that RTB and RTC can directly foward the packets to RTX and  
> saving one extra hop. Clearly if it is a p2p link , there is no use  
> of putting forwarding address.
Right - but if it is an NBMA network or even a P2MP network, the same  
optimization may be possible.

Thanks,
Acee

>
>
> thanks
>
> prashanth
>
>
>
> This e-mail and attachments contain confidential information from  
> HUAWEI, which is intended only for the person or entity whose  
> address is listed above. Any use of the information contained  
> herein in any way (including, but not limited to, total or partial  
> disclosure, reproduction, or dissemination) by persons other than  
> the intended recipient's) is prohibited. If you receive this e-mail  
> in error, please notify the sender by phone or email immediately  
> and delete it!
>
> From: Jishnu Banerjee [mailto:[email-masked]]
> Sent: Tuesday, September 18, 2007 4:25 PM
> To: Acee Lindem
> Cc: [email-masked]
> Subject: [OSPF] non-zero forwarding address
>
>
>
> I have a doubt regarding forwarding address in Type-5 LSAs. Should  
> it be non-zero when the connected network type is non-broadcast (eg  
> p2p,p2mp or even nbma) ? RFC does not specify when forwarding  
> address field should be populated. If I have overlooked the RFC  
> then please do point it out.
>
>
>
> Regards,
>
> Jishnu
>
>